LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices

Reply
 
Search this Thread
Old 06-19-2004, 03:51 AM   #1
ewschone
LQ Newbie
 
Registered: May 2004
Distribution: Suse
Posts: 7

Rep: Reputation: 0
Question Self compiled modules have wrong version id


I have compiled a 2.6.7 kernel for my Suse 9.1 version. Everything went fine and my machine seems to be more responsive. Only thing is that when I try to compile a module, like subfs or fglrx, modprobe fails:

Jun 19 10:32:08 suseAthlonXP kernel: fglrx: version magic '2.6.5-7.75-default 586 REGPARM gcc-3.3' should be '2.6.7 preempt K7 REGPARM gcc-3.3'

So obviously something is still pointing to the wrong kernel sources or something. /usr/src/linux points to the 2.6.7 sources. Modprobe -f is succesfull, so the modules are compiled correctly. Though that's not the way it should work .

Anyone out here can give me any pointers ? I googled and browsed through the forum last night, but couldn't really find anything that helped.

Thanks for reading this .
 
Old 06-20-2004, 01:13 PM   #2
ewschone
LQ Newbie
 
Registered: May 2004
Distribution: Suse
Posts: 7

Original Poster
Rep: Reputation: 0
I redid the make modules and modules_install steps and now sbfs compiles against the right kernel :-). fglrx module doesn't work yet, you have to patch it to get it to compile with 2.6.7. Still working on that one .
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
wlan0 has been compiled with version 18, this program supports up to version 17. dave`2005 Linux - Wireless Networking 1 11-23-2005 04:16 PM
slackware startx starts the wrong version, i didn't even know i had another version edman007 Linux - Software 3 05-16-2004 07:38 PM
redhat fedora gcc version (compiled for 2.4.20) doesn't match kernel version 2.4.22 start1000 Linux - Software 0 03-16-2004 08:17 PM
modules vs compiled in harmster Linux - General 2 02-19-2004 06:31 AM
Compiled new kernel ... but somethings wrong Elijah Linux - General 6 03-30-2003 10:06 PM


All times are GMT -5. The time now is 01:39 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration